#
# spec file for package perl-Compress-Zlib (Version 1.35)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Compress-Zlib
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       p_comzlb
Obsoletes:      p_comzlb
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        Perl interface to part of the info-zip zlib compression library
Version:        1.35
Release:        14.2
Source:         Compress-Zlib-%{version}.tar.gz
Patch:          use-system-zlib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl interface to part of the info-zip zlib compression library



Authors:
--------
    Paul Marquess <Paul.Marquess@btinternet.com>

%debug_package
%prep
%setup -q -n Compress-Zlib-%{version}
%patch0 -p1
if [ "%_lib" = "lib64" ]; then
	sed -e 's#usr/lib#usr/lib64#' < config.in > config.in.xx
	mv config.in.xx config.in
fi
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
if [ -f zlib/inftrees.o ] ; then
	echo "*** Use the system zlib. ***"
	exit 1
fi
# ---------------------------------------------------------------------------

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress
%doc %{_mandir}/man3/Compress::Zlib.3pm.gz
/var/adm/perl-modules/perl-Compress-Zlib
%doc ANNOUNCE MANIFEST README

%changelog -n perl-Compress-Zlib
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Jul 29 2005 - cthiel@suse.de
- update to version 1.35
* Mon Jul 04 2005 - meissner@suse.de
- use system zlib.
* Wed Feb 16 2005 - schwab@suse.de
- Don't remove BuildRoot in %%install.
* Wed Feb 16 2005 - lmuelle@suse.de
- Update to version 1.34.
* Thu Feb 26 2004 - choeger@suse.de
- update to most recent version 1.33
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Fri Jun 13 2003 - choeger@suse.de
- added missing directories do filelist
* Mon May 19 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Thu Aug 08 2002 - mls@suse.de
- use macro in filelist
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Fri Jan 11 2002 - link@suse.de
- update to v1.16
* Wed Nov 15 2000 - choeger@suse.de
- long packagename
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v1.08
